[21.04 FEAT] zKVM: Add Host Key Document Verification to s390-tools genprotimg

Bug #1882807 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
s390-tools (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

Functional enhancement of genprotimg allowing the tool to verify
the validity of IBM Secure Execution host key documents.

Without that, customers must verify the host key document by themselves,
which is error prone and may impact security.

Feature will be provided with an updated version of s390-tools.

Addl req. for tools update will also be requested.

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-186150 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Just changing to incomplete until the new s390-tools version got released.

affects: linux (Ubuntu) → s390-tools (Ubuntu)
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
status: New → Incomplete
importance: Undecided → High
Revision history for this message
Frank Heimes (fheimes) wrote :

Will this come with s390-tools 2.14 ? The version that fits to kernel 5.8 ?

Revision history for this message
Frank Heimes (fheimes) wrote :

@IBM: Did this landed in 2.14?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-08-24 03:15 EDT-------
@Canonical: No, backport need be applied,if applicable in time for 20.10

Frank Heimes (fheimes)
Changed in s390-tools (Ubuntu):
status: New → Incomplete
summary: - [20.10 FEAT] zKVM: Add Host Key Document Verification to s390-tools
+ [21.04 FEAT] zKVM: Add Host Key Document Verification to s390-tools
genprotimg
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-27 02:39 EDT-------
Feature request moved to 21.04. Will not make it in time for 20.10

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Revision history for this message
Frank Heimes (fheimes) wrote :

Did it made it into 2.15?

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-12-10 07:37 EDT-------
Will be made available with 2.16

Revision history for this message
Frank Heimes (fheimes) wrote :

Since this feature will be part of 2.16, I'm marking this as a duplicate of LP 1914574 ("[21.04 FEAT] Upgrade s390-tools to latest version (2.16.0)").

Frank Heimes (fheimes)
Changed in s390-tools (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Frank Heimes (fheimes)
Changed in s390-tools (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-03-01 03:43 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers